package com.dji.sample.manage.service;


import com.dji.sample.manage.model.entity.SysOperLogEntity;


public interface ISysOperLogService {


    /**
     * 新增操作日志
     *
     * @param bo 操作日志对象
     */
    void insertOperlog(SysOperLogEntity bo);


    /**
     * 批量删除系统操作日志
     *
     * @param operIds 需要删除的操作日志ID
     * @return 结果
     */
    int deleteOperLogByIds(Long[] operIds);

    /**
     * 查询操作日志详细
     *
     * @param operId 操作ID
     * @return 操作日志对象
     */
    SysOperLogEntity selectOperLogById(Long operId);

    /**
     * 清空操作日志
     */
    void cleanOperLog();
}
